classification
Title: Update lib2to3 grammar to include missing unpacking generalizations.
Type: behavior Stage: commit review
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: benjamin.peterson, ezio.melotti, gregory.p.smith, python-dev, xiang.zhang, yselivanov
Priority: high Keywords: patch

Created on 2015-12-28 22:16 by ezio.melotti, last changed 2016-09-10 18:21 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
issue25969-gps01.diff gregory.p.smith, 2016-09-10 01:09 review
Messages (5)
msg257138 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2015-12-28 22:16
The new unpacking generalizations added in #2292 should be added to the lib2to3 grammar (see msg248019 and msg248025).

See also #25967.
msg275526 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-10 01:20
New changeset 1206c64de875 by Gregory P. Smith in branch '3.5':
Issue #25969: Update the lib2to3 grammar to handle the unpacking
https://hg.python.org/cpython/rev/1206c64de875

New changeset 2460b30c1985 by Gregory P. Smith in branch 'default':
Issue #25969: Update the lib2to3 grammar to handle the unpacking
https://hg.python.org/cpython/rev/2460b30c1985
msg275531 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-10 01:33
New changeset 8344cf7eebf8 by Gregory P. Smith in branch '2.7':
Issue #25969: Update the lib2to3 grammar to handle the unpacking
https://hg.python.org/cpython/rev/8344cf7eebf8
msg275654 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-09-10 16:44
Gregory, the change adds a print in: https://hg.python.org/cpython/file/tip/Lib/lib2to3/fixes/fix_reload.py#l29

./python -m test test_lib2to3
Run tests sequentially
0:00:00 [1/1] test_lib2to3
obj: Leaf(1, 'a')
obj: Leaf(1, 'a')
obj: Leaf(1, 'a')
obj: Leaf(1, 'a')
obj: Leaf(1, 'a')
obj: Leaf(1, 'a')
obj: Node(star_expr, [Leaf(16, '*'), Leaf(1, 'h')])
obj: Node(argument, [Leaf(36, '**'), Leaf(1, 'i')])
1 test OK.

Total duration: 12 sec
Tests result: SUCCESS
msg275666 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2016-09-10 18:21
Haha whoops, that'd be my debugging. I'll remove it this weekend if nobody
else has gotten to it.

On Sat, Sep 10, 2016, 9:44 AM Xiang Zhang <report@bugs.python.org> wrote:

>
> Xiang Zhang added the comment:
>
> Gregory, the change adds a print in:
> https://hg.python.org/cpython/file/tip/Lib/lib2to3/fixes/fix_reload.py#l29
>
> ./python -m test test_lib2to3
> Run tests sequentially
> 0:00:00 [1/1] test_lib2to3
> obj: Leaf(1, 'a')
> obj: Leaf(1, 'a')
> obj: Leaf(1, 'a')
> obj: Leaf(1, 'a')
> obj: Leaf(1, 'a')
> obj: Leaf(1, 'a')
> obj: Node(star_expr, [Leaf(16, '*'), Leaf(1, 'h')])
> obj: Node(argument, [Leaf(36, '**'), Leaf(1, 'i')])
> 1 test OK.
>
> Total duration: 12 sec
> Tests result: SUCCESS
>
> ----------
> nosy: +xiang.zhang
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue25969>
> _______________________________________
>
History
Date User Action Args
2016-09-10 18:21:34gregory.p.smithsetmessages: + msg275666
2016-09-10 16:44:22xiang.zhangsetnosy: + xiang.zhang
messages: + msg275654
2016-09-10 01:34:28gregory.p.smithsetstatus: open -> closed
resolution: fixed
stage: needs patch -> commit review
2016-09-10 01:33:53python-devsetmessages: + msg275531
2016-09-10 01:20:53gregory.p.smithsetversions: - Python 3.5, Python 3.6
2016-09-10 01:20:14python-devsetnosy: + python-dev
messages: + msg275526
2016-09-10 01:09:10gregory.p.smithsetfiles: + issue25969-gps01.diff
keywords: + patch
2016-09-09 04:33:12gregory.p.smithsetassignee: gregory.p.smith
2016-08-29 00:36:45gregory.p.smithsetpriority: normal -> high
nosy: + gregory.p.smith

versions: + Python 2.7
2015-12-28 22:16:18ezio.melotticreate